#
# spec file for package libprotobuf-mutator
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libprotobuf-mutator
Version:        20190610
Release:        bp156.3.5
Summary:        A library to randomly mutate protobuffers
License:        Apache-2.0
Group:          Development/Libraries/C and C++
Url:            https://github.com/google/libprotobuf-mutator
Source:         %{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  protobuf-devel

%description
Libprotobuf-mutator is a library to randomly mutate protobuffers. 

%package -n libprotobuf-mutator0
Summary:        Shared library for libprotobuf-mutator
Group:          System/Libraries

%description -n libprotobuf-mutator0
Shared library for libprotobuf-mutator - a library to randomly mutate
protobuffers.

%package devel
Summary:        Development files for libprotobuf-mutator
Group:          Development/Libraries/C and C++

%description devel
Development files for libprotobuf-mutator - a library to randomly mutate
protobuffers.

%prep
%setup -q

%build
%cmake \
    -DLIB_DIR=lib64 \
    -DLIB_PROTO_MUTATOR_TESTING=OFF \
    -DPKG_CONFIG_PATH=%{_libdir}/pkgconfig
%make_jobs

%install
%cmake_install

%post -n libprotobuf-mutator0 -p /sbin/ldconfig
%postun -n libprotobuf-mutator0 -p /sbin/ldconfig

%files -n libprotobuf-mutator0
%license LICENSE
%doc README.md
%{_libdir}/libprotobuf-mutator-libfuzzer.so.0
%{_libdir}/libprotobuf-mutator.so.0

%files devel
%{_includedir}/libprotobuf-mutator
%{_libdir}/libprotobuf-mutator-libfuzzer.so
%{_libdir}/libprotobuf-mutator.so
%{_libdir}/pkgconfig/libprotobuf-mutator.pc

%changelog
* Thu Dec 19 2019 Madhu Mohan Nelemane <mmnelemane@suse.com>
- Update to version 20190610
  * Renames SANITIZER_INTERFACE_WEAK_DEF to LIB_PROTO_MUTATOR_WEAK_DEF
  * Introduced SANITIZER_INTERFACE_WEAK_DEF
  * Builds tests with MSVC
  * Updates CMakeLists.txt to build for MSVC
  * Add a line break.
  * Add proto dependencies to prerequisites.
  * Fix compile error/warning in src/field_instance.h (was comparison with
    unsigned < 0, which is always false)
  * Remove workaround for stack overflow
  * Update protocolbuffers
  * Add check to avoid stack overflow parsing nested messages
  * replace std::mt19937 with a much faster std::minstd_rand
  * Speedup unit tests
  * Fix index check
  * Switch from TEST_CASE_P to TEST_SUITE_P
  * Fix clang build (#110)
  * Never copy unknown enum values
  * Check that all tests strings parsed
  * Add FieldInstance::DebugString
  * Move EnforceUtf8 check into CanCopyAndDifferentField
  * ename IsEqualValueField to CanCopyAndDifferentField
  * Add links to known bug reports and fuzzers which use this library
  * added missing newlines to two CMakeLists.txt files
* Wed Dec 12 2018 Michał Rostecki <mrostecki@suse.de>
- Update to version 20181127:
  * Surrounded modifications to the "check" target with tests for
    LIB_PROTO_MUTATOR_TESTING
  * cmake: Add PKG_CONFIG_PATH option
  * cmake: Set SOVERSION property for shared libraries
  * cmake: Define LIBRARY DESTINATION for install targets
- Remove cmake-install-library-installation.patch - patch released
  upstream
- Remove cmake-pkg-config-path.patch - patch released upstream
- Remove cmake-soversion.patch - patch released upstream
* Wed Oct 24 2018 Michał Rostecki <mrostecki@suse.de>
- Initial release - 20181101
- Add cmake-install-library-installation.patch - fixes make install
- Add cmake-pkg-config-path.patch - allows to specify path where
  pkgconfig file is installed
- Add cmake-soversion.patch - required to build libraries with
  soversion
